From 5b8f68403ff1ff024e339ee43dd56f3ad4c26fc8 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Fri, 14 Oct 2022 19:38:32 +1100
Subject: [PATCH v1] clarify behavior of specifying a parameter with no value

---
 doc/src/sgml/ref/create_publication.sgml  | 10 ++++++++--
 doc/src/sgml/ref/create_subscription.sgml |  4 ++++
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/ref/create_publication.sgml b/doc/src/sgml/ref/create_publication.sgml
index c5190f0..b4b742d 100644
--- a/doc/src/sgml/ref/create_publication.sgml
+++ b/doc/src/sgml/ref/create_publication.sgml
@@ -162,8 +162,14 @@ CREATE PUBLICATION <replaceable class="parameter">name</replaceable>
     <term><literal>WITH ( <replaceable class="parameter">publication_parameter</replaceable> [= <replaceable class="parameter">value</replaceable>] [, ... ] )</literal></term>
     <listitem>
      <para>
-      This clause specifies optional parameters for a publication.  The
-      following parameters are supported:
+      This clause specifies optional parameters for a publication.
+     </para>
+     <para>
+      A <type>boolean</type> parameter can omit the value. This is equivalent
+      to assigning the parameter to <literal>true</literal>.
+     </para>
+     <para>
+      The following parameters are supported:
 
       <variablelist>
        <varlistentry>
diff --git a/doc/src/sgml/ref/create_subscription.sgml b/doc/src/sgml/ref/create_subscription.sgml
index 43b32e8..21bd90f 100644
--- a/doc/src/sgml/ref/create_subscription.sgml
+++ b/doc/src/sgml/ref/create_subscription.sgml
@@ -96,6 +96,10 @@ CREATE SUBSCRIPTION <replaceable class="parameter">subscription_name</replaceabl
      <para>
       This clause specifies optional parameters for a subscription.
      </para>
+     <para>
+      A <type>boolean</type> parameter can omit the value. This is equivalent
+      to assigning the parameter to <literal>true</literal>.
+     </para>
 
      <para>
       The following parameters control what happens during subscription creation:
-- 
1.8.3.1

